Get order
curl --request GET \
--url https://api.marzipan.co/v1/account/orders/{orderId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.marzipan.co/v1/account/orders/{orderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.marzipan.co/v1/account/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.marzipan.co/v1/account/orders/{orderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.marzipan.co/v1/account/orders/{orderId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.marzipan.co/v1/account/orders/{orderId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.marzipan.co/v1/account/orders/{orderId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "73d5c504-adbb-43ac-891e-9b3dd4900de4",
"ref": "1010744",
"email": "jane@example.com",
"currencyCode": "GBP",
"items": [
{
"id": "1f2e3d4c-5b6a-7980-a1b2-c3d4e5f60718",
"name": "Sea Salt Caramels",
"price": "£9.99",
"quantity": 2,
"lineTotal": "£19.98",
"options": [],
"bundledItems": [],
"type": "physical",
"sku": "SSC-100",
"image": null
}
],
"subtotal": "£19.98",
"shipping": "£3.50",
"tax": "£0.00",
"discount": null,
"discountCodes": "",
"pointsRedeemed": 0,
"pointsDiscount": null,
"total": "£23.48",
"totalRaw": 2348,
"status": "processing",
"paymentMethod": null,
"paymentStatus": "paid",
"shippingAddress": {
"firstName": "Jane",
"lastName": "Doe",
"addressLine1": "12 Baker Street",
"addressLine2": "Flat 2",
"city": "London",
"county": "Greater London",
"postcode": "W1U 6TU",
"country": "United Kingdom",
"countryCode": "GB"
},
"billingAddress": {
"firstName": "Jane",
"lastName": "Doe",
"addressLine1": "12 Baker Street",
"addressLine2": "Flat 2",
"city": "London",
"county": "Greater London",
"postcode": "W1U 6TU",
"country": "United Kingdom",
"countryCode": "GB",
"phone": "+447700900123",
"email": "jane@example.com"
},
"shippingMethod": "Standard Delivery",
"tracking": null,
"deliveryInstructions": null,
"giftMessage": null,
"createdAt": "08/06/2024",
"updatedAt": "08/06/2024",
"paymentProviders": {}
}{
"message": "Unauthenticated."
}{
"message": "Order not found"
}Account
Get order
Retrieve the full detail of a single order belonging to the authenticated customer, including items, addresses, payment and tracking information.
GET
/
account
/
orders
/
{orderId}
Get order
curl --request GET \
--url https://api.marzipan.co/v1/account/orders/{orderId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.marzipan.co/v1/account/orders/{orderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.marzipan.co/v1/account/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.marzipan.co/v1/account/orders/{orderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.marzipan.co/v1/account/orders/{orderId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.marzipan.co/v1/account/orders/{orderId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.marzipan.co/v1/account/orders/{orderId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "73d5c504-adbb-43ac-891e-9b3dd4900de4",
"ref": "1010744",
"email": "jane@example.com",
"currencyCode": "GBP",
"items": [
{
"id": "1f2e3d4c-5b6a-7980-a1b2-c3d4e5f60718",
"name": "Sea Salt Caramels",
"price": "£9.99",
"quantity": 2,
"lineTotal": "£19.98",
"options": [],
"bundledItems": [],
"type": "physical",
"sku": "SSC-100",
"image": null
}
],
"subtotal": "£19.98",
"shipping": "£3.50",
"tax": "£0.00",
"discount": null,
"discountCodes": "",
"pointsRedeemed": 0,
"pointsDiscount": null,
"total": "£23.48",
"totalRaw": 2348,
"status": "processing",
"paymentMethod": null,
"paymentStatus": "paid",
"shippingAddress": {
"firstName": "Jane",
"lastName": "Doe",
"addressLine1": "12 Baker Street",
"addressLine2": "Flat 2",
"city": "London",
"county": "Greater London",
"postcode": "W1U 6TU",
"country": "United Kingdom",
"countryCode": "GB"
},
"billingAddress": {
"firstName": "Jane",
"lastName": "Doe",
"addressLine1": "12 Baker Street",
"addressLine2": "Flat 2",
"city": "London",
"county": "Greater London",
"postcode": "W1U 6TU",
"country": "United Kingdom",
"countryCode": "GB",
"phone": "+447700900123",
"email": "jane@example.com"
},
"shippingMethod": "Standard Delivery",
"tracking": null,
"deliveryInstructions": null,
"giftMessage": null,
"createdAt": "08/06/2024",
"updatedAt": "08/06/2024",
"paymentProviders": {}
}{
"message": "Unauthenticated."
}{
"message": "Order not found"
}Authorizations
Response
Success

